<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_241) on Mon Jun 01 22:47:20 CEST 2020 -->
<title>Serialized Form</title>
<meta name="date" content="2020-06-01">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<script type="text/javascript" src="script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Serialized Form";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?serialized-form.html" target="_top">Frames</a></li>
<li><a href="serialized-form.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Serialized Form" class="title">Serialized Form</h1>
</div>
<div class="serializedFormContainer">
<ul class="blockList">
<li class="blockList">
<h2 title="Package">Package&nbsp;com.app.beans</h2>
<ul class="blockList">
<li class="blockList"><a name="com.app.beans.Link">
<!--   -->
</a>
<h3>Class <a href="com/app/beans/Link.html" title="class in com.app.beans">com.app.beans.Link</a> extends java.lang.Object implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>-2789021713733833747L</dd>
</dl>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>lId</h4>
<pre>int lId</pre>
<div class="block">ID of the link</div>
</li>
<li class="blockList">
<h4>show</h4>
<pre><a href="com/app/beans/Show.html" title="class in com.app.beans">Show</a> show</pre>
<div class="block">Link is mapped with show by many to one relationship</div>
</li>
<li class="blockList">
<h4>website</h4>
<pre>java.lang.String website</pre>
</li>
<li class="blockList">
<h4>domain</h4>
<pre>java.lang.String domain</pre>
<div class="block">Domain can be for example com, pl.</div>
</li>
<li class="blockList">
<h4>extension</h4>
<pre>java.lang.String extension</pre>
<div class="block">Extension is "tail" of URL - text followed by slash.</div>
</li>
<li class="blockList">
<h4>secureProtocol</h4>
<pre>boolean secureProtocol</pre>
<div class="block">Secure protocol which determines whether website is https or http. In case of
 True - https (secured) In case of False - http (not secured)</div>
</li>
<li class="blockListLast">
<h4>validity</h4>
<pre>boolean validity</pre>
<div class="block">Validity of the link. True for working link False for broken link (not
 working)</div>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="com.app.beans.Movie">
<!--   -->
</a>
<h3>Class <a href="com/app/beans/Movie.html" title="class in com.app.beans">com.app.beans.Movie</a> extends <a href="com/app/beans/Show.html" title="class in com.app.beans">Show</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>547341714436838549L</dd>
</dl>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>movieId</h4>
<pre>java.lang.Integer movieId</pre>
<div class="block">ID of a movie.</div>
</li>
<li class="blockList">
<h4>movieLength</h4>
<pre>java.lang.Integer movieLength</pre>
<div class="block">movieLength is a value in minutes</div>
</li>
<li class="blockList">
<h4>productionCompany</h4>
<pre>java.lang.String productionCompany</pre>
<div class="block">productionCompany is a company that produced the movie, for example: Netflix</div>
</li>
<li class="blockList">
<h4>movieRating</h4>
<pre>java.lang.Double movieRating</pre>
<div class="block">movieRating is rating in scale 0-10</div>
</li>
<li class="blockList">
<h4>suggestionForNomination</h4>
<pre>java.lang.Boolean suggestionForNomination</pre>
<div class="block">suggestionForNomination is application's suggestion whether Movie should be
 nominated. For future implementation.</div>
</li>
<li class="blockList">
<h4>movieList</h4>
<pre>java.util.List&lt;E&gt; movieList</pre>
<div class="block">movieList is a list of movies, needed for data generation.</div>
</li>
<li class="blockListLast">
<h4>movies</h4>
<pre>java.util.List&lt;E&gt; movies</pre>
<div class="block">movies is list of movies used by threads</div>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="com.app.beans.Show">
<!--   -->
</a>
<h3>Class <a href="com/app/beans/Show.html" title="class in com.app.beans">com.app.beans.Show</a> extends java.lang.Object implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>-4453034623599755125L</dd>
</dl>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>showId</h4>
<pre>java.lang.Integer showId</pre>
</li>
<li class="blockList">
<h4>typeOfShow</h4>
<pre>java.lang.String typeOfShow</pre>
<div class="block">typeOfShow is type of show. Possible values: TV show, movie, video.</div>
</li>
<li class="blockList">
<h4>genre</h4>
<pre>java.lang.String genre</pre>
<div class="block">Genre of show. Possible values are for example: comedy, drama etc.</div>
</li>
<li class="blockList">
<h4>showTitle</h4>
<pre>java.lang.String showTitle</pre>
<div class="block">showTitle is name of show.</div>
</li>
<li class="blockList">
<h4>realiseDate</h4>
<pre>java.lang.String realiseDate</pre>
<div class="block">realiseDate is date of realise of show. In case of video it is a date of
 video upload on Youtube. In case of movies it is a date of first global
 realise.</div>
</li>
<li class="blockListLast">
<h4>showLink</h4>
<pre>java.util.List&lt;E&gt; showLink</pre>
<div class="block">showLink is a list of links of the show. It can navigate to Youtube, Netflix
 or other websites.</div>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="com.app.beans.TvShow">
<!--   -->
</a>
<h3>Class <a href="com/app/beans/TvShow.html" title="class in com.app.beans">com.app.beans.TvShow</a> extends <a href="com/app/beans/Show.html" title="class in com.app.beans">Show</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>28436372337597922L</dd>
</dl>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>tvShowId</h4>
<pre>java.lang.Integer tvShowId</pre>
<div class="block">ID of a TV show</div>
</li>
<li class="blockList">
<h4>averageEpisodeLength</h4>
<pre>java.lang.Integer averageEpisodeLength</pre>
<div class="block">Average length of episode in minutes.</div>
</li>
<li class="blockList">
<h4>averageNumOfEpisodesSeason</h4>
<pre>java.lang.Integer averageNumOfEpisodesSeason</pre>
<div class="block">Average number of episodes in season.</div>
</li>
<li class="blockList">
<h4>numberOfSeasons</h4>
<pre>java.lang.Integer numberOfSeasons</pre>
<div class="block">Number of TV show seasons.</div>
</li>
<li class="blockList">
<h4>tvShowRating</h4>
<pre>java.lang.Double tvShowRating</pre>
<div class="block">Rating of the TV show, scale 0-10</div>
</li>
<li class="blockListLast">
<h4>tvShowList</h4>
<pre>java.util.List&lt;E&gt; tvShowList</pre>
<div class="block">List of TV shows.</div>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="com.app.beans.User">
<!--   -->
</a>
<h3>Class <a href="com/app/beans/User.html" title="class in com.app.beans">com.app.beans.User</a> extends java.lang.Object implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>3827760733025554510L</dd>
</dl>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>userId</h4>
<pre>java.lang.Integer userId</pre>
<div class="block">ID of user.</div>
</li>
<li class="blockList">
<h4>userName</h4>
<pre>java.lang.String userName</pre>
<div class="block">userName - nickname of the user account</div>
</li>
<li class="blockList">
<h4>currentEmotion</h4>
<pre>java.lang.String currentEmotion</pre>
<div class="block">currentEmotion stores current emotion of the user. Whether user is happy, sad
 or bored.</div>
</li>
<li class="blockList">
<h4>userAge</h4>
<pre>java.lang.Integer userAge</pre>
<div class="block">Age of user, for future implementation.</div>
</li>
<li class="blockList">
<h4>preference</h4>
<pre>java.lang.String preference</pre>
<div class="block">Preference of the user. .Whether user wants to watch movie, tv show or video</div>
</li>
<li class="blockListLast">
<h4>watchLaterList</h4>
<pre>java.util.Set&lt;E&gt; watchLaterList</pre>
<div class="block">Set of watch later shows.</div>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="com.app.beans.Video">
<!--   -->
</a>
<h3>Class <a href="com/app/beans/Video.html" title="class in com.app.beans">com.app.beans.Video</a> extends <a href="com/app/beans/Show.html" title="class in com.app.beans">Show</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>5477432549939178484L</dd>
</dl>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>videoId</h4>
<pre>java.lang.Integer videoId</pre>
<div class="block">ID of video</div>
</li>
<li class="blockList">
<h4>channelName</h4>
<pre>java.lang.String channelName</pre>
<div class="block">channelName is in other words the author of video, his channel name for
 example on YouTube</div>
</li>
<li class="blockList">
<h4>numberOfLikes</h4>
<pre>java.lang.Integer numberOfLikes</pre>
<div class="block">Number of video likes (thumbs up).</div>
</li>
<li class="blockList">
<h4>numberOfDislikes</h4>
<pre>java.lang.Integer numberOfDislikes</pre>
<div class="block">Number of dislikes (thumbs down)</div>
</li>
<li class="blockList">
<h4>videoList</h4>
<pre>java.util.List&lt;E&gt; videoList</pre>
<div class="block">List of videos.</div>
</li>
<li class="blockListLast">
<h4>videos</h4>
<pre>java.util.List&lt;E&gt; videos</pre>
<div class="block">videos is list of videos used by threads</div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList">
<h2 title="Package">Package&nbsp;com.app.servlet</h2>
<ul class="blockList">
<li class="blockList"><a name="com.app.servlet.DisplayChannelServlet">
<!--   -->
</a>
<h3>Class <a href="com/app/servlet/DisplayChannelServlet.html" title="class in com.app.servlet">com.app.servlet.DisplayChannelServlet</a> extends javax.servlet.http.HttpServlet implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>6380839361139135493L</dd>
</dl>
</li>
<li class="blockList"><a name="com.app.servlet.DisplayUpdatedVideosServlet">
<!--   -->
</a>
<h3>Class <a href="com/app/servlet/DisplayUpdatedVideosServlet.html" title="class in com.app.servlet">com.app.servlet.DisplayUpdatedVideosServlet</a> extends javax.servlet.http.HttpServlet implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>-6412854481850086126L</dd>
</dl>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockListLast">
<h4>showRenderingService</h4>
<pre><a href="com/app/service/ShowRenderingService.html" title="class in com.app.service">ShowRenderingService</a> showRenderingService</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="com.app.servlet.HomeServlet">
<!--   -->
</a>
<h3>Class <a href="com/app/servlet/HomeServlet.html" title="class in com.app.servlet">com.app.servlet.HomeServlet</a> extends javax.servlet.http.HttpServlet implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>-5211417313655936533L</dd>
</dl>
</li>
<li class="blockList"><a name="com.app.servlet.LoginServlet">
<!--   -->
</a>
<h3>Class <a href="com/app/servlet/LoginServlet.html" title="class in com.app.servlet">com.app.servlet.LoginServlet</a> extends javax.servlet.http.HttpServlet implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>7790853303670104133L</dd>
</dl>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockListLast">
<h4>userValidationService</h4>
<pre><a href="com/app/service/UserValidationService.html" title="class in com.app.service">UserValidationService</a> userValidationService</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="com.app.servlet.LogoutServlet">
<!--   -->
</a>
<h3>Class <a href="com/app/servlet/LogoutServlet.html" title="class in com.app.servlet">com.app.servlet.LogoutServlet</a> extends javax.servlet.http.HttpServlet implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>-7791882037882081001L</dd>
</dl>
</li>
<li class="blockList"><a name="com.app.servlet.MostDisLikedVideoServlet">
<!--   -->
</a>
<h3>Class <a href="com/app/servlet/MostDisLikedVideoServlet.html" title="class in com.app.servlet">com.app.servlet.MostDisLikedVideoServlet</a> extends javax.servlet.http.HttpServlet implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>1026024142760115278L</dd>
</dl>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockListLast">
<h4>showRenderingService</h4>
<pre><a href="com/app/service/ShowRenderingService.html" title="class in com.app.service">ShowRenderingService</a> showRenderingService</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="com.app.servlet.ShowBasedOnMoodServlet">
<!--   -->
</a>
<h3>Class <a href="com/app/servlet/ShowBasedOnMoodServlet.html" title="class in com.app.servlet">com.app.servlet.ShowBasedOnMoodServlet</a> extends javax.servlet.http.HttpServlet implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>-47295153819109242L</dd>
</dl>
</li>
<li class="blockList"><a name="com.app.servlet.ShowPersonalisedListServlet">
<!--   -->
</a>
<h3>Class <a href="com/app/servlet/ShowPersonalisedListServlet.html" title="class in com.app.servlet">com.app.servlet.ShowPersonalisedListServlet</a> extends javax.servlet.http.HttpServlet implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>7480702137356625439L</dd>
</dl>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockListLast">
<h4>showBasedOnMoodService</h4>
<pre><a href="com/app/service/ShowRenderingService.html" title="class in com.app.service">ShowRenderingService</a> showBasedOnMoodService</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="com.app.servlet.UpdateVideoServlet">
<!--   -->
</a>
<h3>Class <a href="com/app/servlet/UpdateVideoServlet.html" title="class in com.app.servlet">com.app.servlet.UpdateVideoServlet</a> extends javax.servlet.http.HttpServlet implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>-4968586267714030802L</dd>
</dl>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockListLast">
<h4>showRenderingService</h4>
<pre><a href="com/app/service/ShowRenderingService.html" title="class in com.app.service">ShowRenderingService</a> showRenderingService</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="com.app.servlet.UserMoodServlet">
<!--   -->
</a>
<h3>Class <a href="com/app/servlet/UserMoodServlet.html" title="class in com.app.servlet">com.app.servlet.UserMoodServlet</a> extends javax.servlet.http.HttpServlet implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>-6006031759630682365L</dd>
</dl>
</li>
<li class="blockList"><a name="com.app.servlet.YTExplorerServlet">
<!--   -->
</a>
<h3>Class <a href="com/app/servlet/YTExplorerServlet.html" title="class in com.app.servlet">com.app.servlet.YTExplorerServlet</a> extends javax.servlet.http.HttpServlet implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>-6412854481850086126L</dd>
</dl>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockListLast">
<h4>showRenderingService</h4>
<pre><a href="com/app/service/ShowRenderingService.html" title="class in com.app.service">ShowRenderingService</a> showRenderingService</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?serialized-form.html" target="_top">Frames</a></li>
<li><a href="serialized-form.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
